Ruby: tar_header Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
tar_header Struct Reference

## Data Fields
char | name [100]
char | mode [8]
char | uid [8]
char | gid [8]
char | size [12]
char | mtime [12]
char | chksum [8]
char | typeflag
char | linkname [100]
char | magic [6]
char | version [2]
char | uname [32]
char | gname [32]
char | devmajor [8]
char | devminor [8]
char | prefix [155]

## Detailed Description

Definition at line 68 of file untgz.c.

## Field Documentation

## ◆ chksum

char tar_header::chksum[8]

Definition at line 76 of file untgz.c.

## ◆ devmajor

char tar_header::devmajor[8]

Definition at line 83 of file untgz.c.

## ◆ devminor

char tar_header::devminor[8]

Definition at line 84 of file untgz.c.

## ◆ gid

char tar_header::gid[8]

Definition at line 73 of file untgz.c.

## ◆ gname

char tar_header::gname[32]

Definition at line 82 of file untgz.c.

## ◆ linkname

char tar_header::linkname[100]

Definition at line 78 of file untgz.c.

## ◆ magic

char tar_header::magic[6]

Definition at line 79 of file untgz.c.

## ◆ mode

char tar_header::mode[8]

Definition at line 71 of file untgz.c.

Referenced by tar().

## ◆ mtime

char tar_header::mtime[12]

Definition at line 75 of file untgz.c.

Referenced by tar().

## ◆ name

char tar_header::name[100]

Definition at line 70 of file untgz.c.

Referenced by tar().

## ◆ prefix

char tar_header::prefix[155]

Definition at line 85 of file untgz.c.

## ◆ size

char tar_header::size[12]

Definition at line 74 of file untgz.c.

Referenced by tar().

## ◆ typeflag

char tar_header::typeflag

Definition at line 77 of file untgz.c.

Referenced by tar().

## ◆ uid

char tar_header::uid[8]

Definition at line 72 of file untgz.c.

## ◆ uname

char tar_header::uname[32]

Definition at line 81 of file untgz.c.

## ◆ version

char tar_header::version[2]

Definition at line 80 of file untgz.c.

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/untgz/untgz.c